# method

fun method (): MethodCondition < T >

Start a new method reflection.

#### Return

MethodCondition

fun method (condition: MethodCondition < T >): List < MethodResolver < T >>

Start a new method reflection.

#### Return

MethodResolver

#### Parameters

condition

the condition.

#### See also

KavaRef.MemberScope.firstMethod
KavaRef.MemberScope.firstMethodOrNull

inline fun method (condition: MethodCondition < T >.() -> Unit ): List < MethodResolver < T >>

Start a new method reflection.

#### Return

MethodResolver

#### Parameters

condition

the condition body.

#### See also

KavaRef.MemberScope.firstMethod
KavaRef.MemberScope.firstMethodOrNull